<?php

namespace App\Models;

use CodeIgniter\Model;

class User extends Model
{
    protected $table = 'user';
    protected $primaryKey = 'id'; // Assuming your primary key field name is 'id'
    protected $allowedFields =  ['id_pegawai', 'nama_lengkap', 'username', 'password', 'role_id', 'image', 'umur', 'kode_pegawai', 'jabatan', 'tgl_Lahir', 'tempat_lahir', 'jenis_kelamin', 'gaji_pokok', 'uang_makan', 'tunjangan_kesehatan','tunjangan_kendaraan','note'];

    public function getKaryawandata($id = null)
    {
        if ($id) {
            return $this->where('id_pegawai', $id)->first(); // Mengambil satu lembur berdasarkan ID
        }

        return $this->orderBy('id_pegawai', 'DESC')->findAll(); // Mengambil semua lembur dan mengurutkan berdasarkan tanggal
    }
}